# frozen_string_literal: true

require "pathname"
require "thor"
require "shellwords"
require "ramverk/version"
require "ramverk/string"

module Ramverk
  module Cli
    module Commands
      # @abstract
      class Base < Thor
        include Thor::Actions

        # @private
        self.source_paths << File.expand_path("../templates", __dir__)

        no_commands do
          def env
            (ENV["APP_ENV"] || ENV["RACK_ENV"] || :development).to_sym
          end

          def escape(string)
            Shellwords.escape(string)
          end
        end
      end
    end
  end
end
