# frozen_string_literal: true

module Ramverk
  module Middleware
    # Serves static files.
    #
    # @private
    class Static
      # @private
      def initialize(app, public_directory)
        @app = app
        @public_directory = public_directory
      end

      # @private
      def call(env)
        serve(env) || @app.call(env)
      end

      private

      # @private
      def serve(env)
        file = File.join(@public_directory, env["PATH_INFO"])

        return false unless File.exist?(file)

        Rack::File.new(@public_directory).call(env)
      end
    end
  end
end
