# frozen_string_literal: true

require "ramverk"

# rubocop:disable Lint/SuppressedException

if Ramverk.env?(:development, :test)
  begin
    require "dotenv"
    Dotenv.load(".env.#{Ramverk.env}")
  rescue LoadError
  end
end

if Ramverk.env?(:development, :test)
  begin
    require "rspec"

    if Ramverk.rake?
      require "rspec/core/rake_task"
      RSpec::Core::RakeTask.new(:spec)
    end

    require "rack/test"

    RSpec.configure do |config|
      config.include Rack::Test::Methods, type: :request

      def app
        Ramverk.rack
      end
    end
  rescue LoadError
  end
end

# rubocop:enable Lint/SuppressedException
